# Uses of Enum Class
com.jangular.backend.enums.RoleName

Packages that use RoleName
Package
Description
com.jangular.backend.enums
com.jangular.backend.models
com.jangular.backend.repository
com.jangular.backend.service

## Uses of RoleName in com.jangular.backend.enums

Methods in com.jangular.backend.enums that return RoleName
Modifier and Type
Method
Description
`static RoleName`
RoleName.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static RoleName[]`
RoleName.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of RoleName in com.jangular.backend.models

Constructors in com.jangular.backend.models with parameters of type RoleName
Modifier
Constructor
Description
``
`Role(RoleName role, String desc)`

## Uses of RoleName in com.jangular.backend.repository

Methods in com.jangular.backend.repository with parameters of type RoleName
Modifier and Type
Method
Description
`Optional<Role>`
RoleRepository.`findByName(RoleName roleName)`

## Uses of RoleName in com.jangular.backend.service

Methods in com.jangular.backend.service with parameters of type RoleName
Modifier and Type
Method
Description
`User`
UserService.`addRoleToUser(Long userId, RoleName roleName)`
Add role to user
`User`
UserService.`removeRoleFromUser(Long userId, RoleName roleName)`
Remove role from user